<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ozs.mapper.BaseTerminalMapper">

    <select id="selectMountCode" parameterType="java.lang.String" resultType="java.lang.String">
        select terminal_code terminalCode from base_terminal where vehicle_code != #{vehicleCode}
    </select>

    <select id="selectTerminal" parameterType="java.lang.String" resultType="com.ozs.entity.BaseTerminal">
        select * from base_terminal where vehicle_code = #{vehicleCode} limit 1
    </select>
</mapper>
